Package htsjdk.samtools.cram.compression.rans

# Class RANSEncode<T extends RANSParams>

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSEncode<T>

Direct Known Subclasses:
  `RANS4x8Encode`, `RANSNx16Encode`

public abstract class RANSEncode<T extends RANSParams> extends Object

## Constructor Summary

Constructors
Constructor
Description
`RANSEncode()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`buildSymsOrder0(int[] frequencies)`
`protected void`
`buildSymsOrder1(int[][] frequencies)`
`abstract ByteBuffer`
`compress(ByteBuffer inBuffer, T params)`
`protected RANSEncodingSymbol[][]`
`getEncodingSymbols()`
`protected void`
`initializeRANSEncoder()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANSEncode

public RANSEncode()

## Method Details

### getEncodingSymbols

protected RANSEncodingSymbol[][] getEncodingSymbols()

### compress

public abstract ByteBuffer compress(ByteBuffer inBuffer, T params)

### initializeRANSEncoder

protected void initializeRANSEncoder()

### buildSymsOrder0

protected void buildSymsOrder0(int[] frequencies)

### buildSymsOrder1

protected void buildSymsOrder1(int[][] frequencies)